Cannot update M200+ over 2.5.4


#1

Hello,
I tried to update my M200+from 2.5.4 to 2.5.5 (and 2.5.6) and I get this message. When I go back to 2.5.4 with USB update (click on the top), it works again. I did it multiple times without success.


#2

Hi,
I had the same problem a few months ago and I solved it by cleaning from dust the electronic boards (under the printer) with a brush and compressed air. Maybe you are using your printer in a dusty environment.


#3

Hi,
Same problem for me with my M200 plus…
and the Hotend is heating unending !
I downgrade to 2.5.4.
I check the electronic boards -> no dust (except a little in the the fan)
I will try again.


#4

Hi @tibo,

Did the error occur while running 2.5.5 or 2.5.6 firmware? If the former one - please, try updating to 2.5.6. Otherwise - please contact us via support form and we will look further into the matter.


#5

Hi @facotl,

So you can confirm the error occurs while running 2.5.5 and 2.5.6 firmware, but the printer works fine after reverting to 2.5.4, right? Could you please send me the serial number via PM?


#6

Hi,
both of them (neither 2.5.5 nor 2.5.6).
But I have just completely dismantled and reassemble the printer (and disconnect/reconnect electronics), and now, it works !
The printer has successfully updated to 2.5.6 (but I don’t now where was the problem ???)


#7

Hello,
I reconnected all cables and I was able to update to 2.5.6.
Thank you for your help.


#8

Hi,

thank you for the update. I am glad to hear all works fine now. I suspect that one of the cables might have got loose.


#9

Hi Fabien,

this is great news. I am glad to hear this did the trick.


#10

Hi all,
Thank you for your help.